/*
 * Unitex
 *
 * Copyright (C) 2001-2018 Université Paris-Est Marne-la-Vallée <unitex@univ-mlv.fr>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 *
 */

#ifndef CharNamesH
#define CharNamesH

#ifndef HAS_UNITEX_NAMESPACE
#define HAS_UNITEX_NAMESPACE 1
#endif

namespace unitex {

//------- strict ASCII chars --------
#define U_SPACE ' '
#define U_EXCLAMATION '!'
#define U_QUOTATION '"'
#define U_NUMBER_SIGN '#'
#define U_DOLLAR '$'
#define U_PERCENT '%'
#define U_AMPERSAND '&'
#define U_APOSTROPHE '\''
#define U_LEFT_PARENTHESIS '('
#define U_RIGHT_PARENTHESIS ')'
#define U_ASTERISK '*'
#define U_PLUS '+'
#define U_COMMA ','
#define U_MINUS '-'
#define U_PERIOD '.'
#define U_SLASH '/'
#define U_COLON ':'
#define U_SEMICOLON ';'
#define U_LESS_THAN '<'
#define U_EQUAL '='
#define U_GREATER_THAN '>'
#define U_QUESTION '?'
#define U_AT '@'
#define U_LEFT_SQUARE_BRACKET '['
#define U_BACKSLASH '\\'
#define U_RIGHT_SQUARE_BRACKET ']'
#define U_CIRCUMFLEX '^'
#define U_UNDERSCORE '_'
#define U_GRAVE '`'
#define U_LEFT_CURLY_BRACKET '{'
#define U_VERTICAL_LINE '|'
#define U_RIGHT_CURLY_BRACKET '}'
#define U_TILDE '~'


#define U_SUPERSCRIPT_TWO 0xB2
#define U_SUPERSCRIPT_THREE 0xB3
#define U_EGRAVE 0xE8
#define U_ECUTE 0xE9
#define U_SECTION_MARK 0xA7
#define U_CCEDILLA 0xE7
#define U_AGRAVE 0xE0
#define U_ACUTE 0xE1
#define U_DEGREE 0xB0
#define U_UGRAVE 0xF9
#define U_MU 0xB5
#define U_STERLING 0xA3
#define U_CURRENCY 0xA4
#define U_EURO 0x20AC
#define U_CENT 0xA2
#define U_PARAGRAPH 0xB6
#define U_SSHARP 0xDF
#define U_UDIAERESIS 0xFC
#define U_UDIAERESIS_CAP 0xDC
#define U_ODIAERESIS 0xF6
#define U_ODIAERESIS_CAP 0xD6
#define U_ADIAERESIS 0xE4
#define U_ADIAERESIS_CAP 0xC4

} // namespace unitex

#endif

